%define name fonts-type1-hebrew
%define version 0.101
%define release %mkrel 8

Summary:	Hebrew Type1 fonts
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Fonts/Type1
URL:		http://culmus.sourceforge.net/
Source:		http://belnet.dl.sourceforge.net/sourceforge/culmus/culmus-%{version}.tar.bz2
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools, t1utils
Requires(post): fontconfig
Requires(postun): fontconfig
# Added to avoid conflicts with the official RPM released by Culmus project
Conflicts:	culmus-fonts

%description
This Package provides Free Hebrew Type1 fonts, courtesy of the Culmus project.

Since version 0.100 all default sizes have been reduced and names have been
changed. Once you install this version or a later one, all letters in your
documents will shrink and a manual tuning will be needed in most cases.

%prep

%setup -q -n culmus-%{version}

%build
for i in *.pfa ; do 
  t1binary $i `basename $i .pfa`.pfb
done 
sed -i -e '1,$s/\.pfa/.pfb/' fonts.scale

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/type1/hebrew/
install -m 0644 *.pfb %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 *.afm %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 fonts.alias %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 fonts.scale %buildroot/%_datadir/fonts/type1/hebrew
# Added for version 0.100
mkdir -p %buildroot/%_sysconfdir/fonts/conf.d
mkdir -p %buildroot/%_sysconfdir/fonts/conf.avail
install -m 0644 culmus.conf %buildroot/%_sysconfdir/fonts/conf.avail/01-culmus.conf
ln -s %_sysconfdir/fonts/conf.avail/01-culmus.conf %buildroot/%_sysconfdir/fonts/conf.d/01-culmus.conf

(
cd %buildroot/%_datadir/fonts/type1/hebrew/
cp fonts.scale fonts.dir
)

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/type1/hebrew \
    %{buildroot}%_sysconfdir/X11/fontpath.d/type1-hebrew:pri=50

%post
[ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE LICENSE-BITSTREAM GNU-GPL
%_datadir/fonts/type1/hebrew
# Added for version 0.100
%_sysconfdir/fonts/conf.d/01-culmus.conf
%_sysconfdir/fonts/conf.avail/01-culmus.conf
%_sysconfdir/X11/fontpath.d/type1-hebrew:pri=50



%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.101-8mdv2008.1
+ Revision: 170840
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.101-7mdv2008.1
+ Revision: 150077
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 23 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.101-6mdv2008.0
+ Revision: 54815
- use type1/ as the destination dir, not Type1/
  (minor font paths cleanup)

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.101-5mdv2008.0
+ Revision: 48749
- fontpath.d conversion (#31756)
- minor cleanups

* Thu Jun 14 2007 Adam Williamson <awilliamson@mandriva.com> 0.101-4mdv2008.0
+ Revision: 39788
- we use /usr/share/fonts/Type1, not /usr/share/fonts/type1

* Sat Apr 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.101-3mdv2008.0
+ Revision: 18893
- rebuild for new era
- install conf to conf.avail and link to conf.d per policy
- clean spec


* Wed Feb 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.101-2mdk
- Don't package fonts.cache-2 file
- Fix prereq
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)

* Sat Feb 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.101-1mdk
- new version (solves bug #2295 with "tet" letter)

* Tue Jan 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.100-6mdk 
- use /etc/fonts/conf.d to store culmus.conf file

* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.100-5mdk
- converted to binary  format

* Mon Aug 09 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.100-4mdk
- spec file cleanup

* Tue Jun 15 2004 Dovix <dovix2003@yahoo.com> 0.100-3mdk
- Avoid conflicts with the official RPM released by Culmus project

* Sun Jun 13 2004 Dovix <dovix2003@yahoo.com> 0.100-2mdk
- update to 0.10.0
- This major release introduces two new typefaces: Miriam and Yehuda
 and removed the Ktav Yad font. It also reduces the size of most
 fonts to make them closer to the corresponding Windows/Mac fonts

* Sun Apr 11 2004 Dovix <dovix2003@yahoo.com> 0.9.3-1mdk
- update to 0.9.3

* Fri Oct 10 2003 nadav mavor <nadav@mavor.com> 0.9.0-1mdk
- update to 0.9 and add 2 more new fonts

* Wed Jul 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-1mdk
- first release

